/*
 * Note:
 * .-h1,-h2,... are defined near h1,h2,... in "resets/_h.scss"
 */

.-text {
  &--mute { color: var(--state-color-mute); }

  &--danger,
  &--error,
  &--destructive { color: var(--state-color-red); }

  &--helping,
  &--creative { color: var(--state-color-blue); }

  &--done,
  &--success,
  &--recording { color: var(--state-color-green); }

  &--warning,
  &--canceling { color: var(--state-color-orange); }

  &--center { text-align: center; }
  &--left { text-align: left; }
  &--right { text-align: right; }

  &--smaller { font-size: var(--font-size-smaller); }
  &--small { font-size: var(--font-size-small); }
  &--default-size { font-size: var(--font-size-base); }
  &--medium { font-size: var(--font-size-medium); }
  &--large { font-size: var(--font-size-large); }

  &--monospace { font-family: var(--font-family-monospace); }

  &--italic { font-style: italic; }

  &--ellipsis {
    overflow-x: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
  }

  &--ok { background-color: var(--state-color-green); }
  &--bad { background-color: var(--state-color-red); }
}

.-clickable { cursor: pointer; }

.-pre-wrap { white-space: pre-wrap; }

